"use strict";
// 获取 pagenote 基本状态工具，是否屏蔽、是否开始工作标识
Object.defineProperty(exports, "__esModule", { value: true });
exports.setLoaded = exports.setBlock = exports.checkLoaded = exports.checkBlocked = void 0;
var BLOCK_KEY = 'blockpagenote';
var LOADED_KEY = 'pagenote';
var BLOCK_PAGES = /\.pagenote\.html$/;
// 检测在当前网页是否屏蔽了 pagenote
var checkBlocked = function () {
    var isBlocked = !!document.querySelector("*[data-".concat(BLOCK_KEY, "]"));
    var isBlockPage = BLOCK_PAGES.test(window.location.href);
    return isBlocked || isBlockPage;
};
exports.checkBlocked = checkBlocked;
// 检测是否植入了 pagenote sdk
var checkLoaded = function () {
    return document.body.dataset[LOADED_KEY] === '1' || !!document.querySelector('pagenote-root');
};
exports.checkLoaded = checkLoaded;
// 标识已植入 SDK
var setLoaded = function () {
    document.body.dataset[LOADED_KEY] = '1';
};
exports.setLoaded = setLoaded;
// 标识已屏蔽 SDK
var setBlock = function () {
    document.body.dataset[BLOCK_KEY] = '1';
};
exports.setBlock = setBlock;
//# sourceMappingURL=share-pagenote.js.map